Subject: RE: [External] : Re: bug#51930: 27.2; Buffer-local functions? Buffers specified buffer-locally?

From: Drew Adams <[email-masked]>
Date: Tue, 20 Sep 2022 16:37:15 +0000

> > > I think the section is clear after that clarification, so I'm closing
> > > this bug report.
> >
> > Nope, it's not clear.  The doc of `add-hook' does
> > not at all talk about buffer-local functions.
> 
> What are "buffer-local functions"?  I'm not aware of such a feature in
> Emacs.  The documentation of add-hook doesn't mention any
> "buffer-local functions".

We agree.  It's defined nowhere, AFAICT.  That's
the point of the bug report.

> The node "Windows Hooks" uses the phrase "Functions specified
> buffer-locally", after it explains that hooks can have buffer-local or
> global values.  I see no problem with that.

Is that the node you've linked to?  I thought
you linked to node `Setting Hooks', where
`add-hook' is covered.  (I think you said you
linked to where `add-hook' is covered?)

FWIW, I don't see any node "Windows Hooks" in
Emacs 28.1 or earlier.  Presumably that was
added later - 28.2 or 29?

However, does that node define/explain what
it _means_ for a _function_ to be "specified
buffer-locally"?  Is it just about functions
on hooks, and is it just that a "function
specified buffer-locally" _is_ (the use of)
a function on a buffer-local hook?

100% agreement that it's clear that _hooks_
(which are variables) can be buffer-local.

It sounds like maybe we're agreeing?